package com.ylx.point.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.point.domain.PointSignTask;
import com.ylx.point.domain.vo.PointSignTaskVo;

/**
 * 积分签到任务规则Mapper接口
 *
 * @author wzj
 * @date 2026-03-25
 */
public interface PointSignTaskMapper extends BaseMapper<PointSignTask> {

    public int deletePointSignTaskById(String id);

    PointSignTaskVo getTaskWithRewards(Long activityId);

    int insertPointSignTask(PointSignTask pointSignTask);

    int updatePointSignTask(PointSignTask pointSignTask);
}
